
//■■■■■■■■■■■■■■■■■■■■■■■ CONFIG START ■■■■■■■■■■■■■■■■■■■■■■■//

#define ACCESS_FLAG 		ADMIN_LEVEL_H

#define MAX_MODEL_LEN 		32

new const BLOCK_MODELS[][MAX_MODEL_LEN] = { 
    "models/custom/w_awp.mdl",
	"models/custom/w_ak47.mdl",
	"models/custom/w_deagle.mdl",
	"models/custom/w_m4a1.mdl"
}

//■■■■■■■■■■■■■■■■■■■■■■■■ CONFIG END ■■■■■■■■■■■■■■■■■■■■■■■■//

#include <amxmodx>
#include <engine>

#define IsEntOnGround(%1) 			(entity_get_int(%1, EV_INT_flags) & FL_ONGROUND)
#define UserHasAccess(%1) 			(get_user_flags(%1) & ACCESS_FLAG)


public plugin_init() 
{
	register_plugin("Block Pickup Gold", "0.1", "Vaqtincha")
	register_touch("weaponbox", "player", "OnWeaponboxTouch")
}

public OnWeaponboxTouch(wEnt, id)
{
	if(/* !is_user_alive(id) || */ UserHasAccess(id) || !IsEntOnGround(wEnt))
	{
		return PLUGIN_CONTINUE
	}

	static szModel[MAX_MODEL_LEN]
	entity_get_string(wEnt, EV_SZ_model, szModel, charsmax(szModel))

	for(new i = 0; i <sizeof(BLOCK_MODELS); i++)
	{
		if(!strcmp(szModel, BLOCK_MODELS[i]))
		{
			ChatColor(id, id, "^1[^4ЗАПРЕЩЕНО^1] Только для ^3VIP ^1игроков!"); 
			return PLUGIN_HANDLED
		}
	}
	
	return PLUGIN_CONTINUE
}

stock ChatColor(id, id2, const szMessage[], any:...)
{
	if(id && !is_user_connected(id))
		return;
		
	new szMsg[190]; vformat(szMsg, charsmax(szMsg), szMessage, 4);
	
	message_begin(id ? MSG_ONE : MSG_ALL, 76, .player = id);
	write_byte(id2 ? id2 : id);
	write_string(szMsg);
	message_end();
}
